Create an incident Google Chat configuration

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/incidents/config/google-chat-configurationshttps://api.ap2.datadoghq.com/api/v2/incidents/config/google-chat-configurationshttps://api.datadoghq.eu/api/v2/incidents/config/google-chat-configurationshttps://api.ddog-gov.com/api/v2/incidents/config/google-chat-configurationshttps://api.us2.ddog-gov.com/api/v2/incidents/config/google-chat-configurationshttps://api.uk1.datadoghq.com/api/v2/incidents/config/google-chat-configurationshttps://api.datadoghq.com/api/v2/incidents/config/google-chat-configurationshttps://api.us3.datadoghq.com/api/v2/incidents/config/google-chat-configurationshttps://api.us5.datadoghq.com/api/v2/incidents/config/google-chat-configurations

Overview

Create a Google Chat configuration for incidents. This endpoint requires the incident_settings_write permission.

OAuth apps require the incident_settings_write authorization scope to access this endpoint.

Request

Body Data (required)

Google Chat configuration payload.

Expand All

Field

Type

Description

data [required]

object

Google Chat configuration data in a create request.

attributes [required]

object

Attributes for creating a Google Chat configuration.

domain_id [required]

string

The Google Chat domain ID.

space_name_template [required]

string

The template for the Google Chat space name.

space_target_audience_id [required]

string

The target audience ID for the Google Chat space.

space_time_zone [required]

string

The time zone for the Google Chat space.

relationships [required]

object

Relationships for a Google Chat configuration create request.

incident_type [required]

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

type [required]

enum

Google Chat configuration resource type. Allowed enum values: google_chat_configurations

{
  "data": {
    "attributes": {
      "domain_id": "my-domain",
      "space_name_template": "{{incident.title}}",
      "space_target_audience_id": "123456789",
      "space_time_zone": "America/New_York"
    },
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      }
    },
    "type": "google_chat_configurations"
  }
}

Response

Created

Response with a Google Chat configuration.

Expand All

Field

Type

Description

data [required]

object

Google Chat configuration data in a response.

attributes [required]

object

Attributes of a Google Chat configuration.

created_at [required]

date-time

Timestamp when the configuration was created.

domain_id [required]

string

The Google Chat domain ID.

modified_at [required]

date-time

Timestamp when the configuration was last modified.

space_name_template [required]

string

The template for the Google Chat space name.

space_target_audience_id [required]

string

The target audience ID for the Google Chat space.

space_time_zone [required]

string

The time zone for the Google Chat space.

id [required]

uuid

The configuration identifier.

relationships

object

Relationships for a Google Chat configuration.

created_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

incident_type

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

last_modified_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

Google Chat configuration resource type. Allowed enum values: google_chat_configurations

included

[object]

Included related resources.

attributes

object

Attributes of user object returned by the API.

email

string

Email of the user.

handle

string

Handle of the user.

icon

string

URL of the user's icon.

name

string

Name of the user.

uuid

string

UUID of the user.

id

string

ID of the user.

type

enum

Users resource type. Allowed enum values: users

default: users

{
  "data": {
    "attributes": {
      "created_at": "2024-01-01T00:00:00.000Z",
      "domain_id": "my-domain",
      "modified_at": "2024-01-01T00:00:00.000Z",
      "space_name_template": "{{incident.title}}",
      "space_target_audience_id": "123456789",
      "space_time_zone": "America/New_York"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "google_chat_configurations"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/google-chat-configurations" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "domain_id": "my-domain", "space_name_template": "{{incident.title}}", "space_target_audience_id": "123456789", "space_time_zone": "America/New_York" }, "relationships": { "incident_type": { "data": { "id": "00000000-0000-0000-0000-000000000000", "type": "incident_types" } } }, "type": "google_chat_configurations" } } EOF